
<h1 align=center>iWriter Hugo </h1>
<p align=center>Personal Blog Theme </p>

<h2 align="center"><a target="_blank" href="https://demo.statichunt.com/iwriter-hugo/" rel="nofollow">Demo</a> | <a  target="_blank" href="https://pagespeed.web.dev/report?url=https%3A%2F%2Fdemo.statichunt.com%2Fiwriter-hugo%2F&form_factor=desktop">Page Speed (97%)</a> </h2>

![iWriter](images/screenshot.jpg)


## Key Features

- Supported Analytics(Google, Baidu, Matomo, Plausible, Counter)
- Google AdSense support
- Google Tag Maneger
- Image optimize with Hugo pipe
- Multiple language support(Fr, En and more)
- CSS and Js bundle with Hugo pipe
- Netlify and Vercel settings predefine
- Forestry CMS pre-configured
- Google font loads from Webfont loader
- Caching enabled
- Google page speed optimized
- Color and fonts variable in the config file
- Contact form Support
- Search by fuse.js
- Sidebar option (True or false)
- GDPR consent enabled
- Open graph meta tag
- Twitter card meta tag

## Local development

```bash
# clone the repository
git clone git@github.com:statichunt/iWriter-hugo.git

# cd in the project directory
$ cd iWriter-hugo/exampleSite/

# Start local dev server
$ hugo server --themesDir ../..
```

Or Check out our [Universal Guide](https://docs.gethugothemes.com/guide//?ref=github) to install the theme.


## Deployment and hosting

[![Deploy to
Netlify](https://www.netlify.com/img/deploy/button.svg)](https://app.netlify.com/start/deploy?repository=https://github.com/statichunt/iWriter-hugo)

Follow the steps.


<!-- reporting issue -->
## Reporting Issues

We use GitHub Issues as the official bug tracker for the iWriter Template. Please Search [existing
issues](https://github.com/statichunt/iWriter-hugo/issues). Someone may have already reported the same problem.
If your problem or idea has not been addressed yet, feel free to [open a new
issue](https://github.com/statichunt/iWriter-hugo/issues).

<!-- ## iWriter hugo theme Powered Websites

View all the websites powered by the iWriter Hugo theme [here](https://github.com/statichunt/iWriter-hugo/wiki/All-iWriter-Hugo-Powered-Websites). Want to submit your website powered by the iWriter Hugo theme? You can submit it [here](https://github.com/statichunt/iWriter-hugo/discussions/2). -->

<!-- licence -->
## License

Copyright &copy; Designed and developed by [Statichunt](https://statichunt.com)

**Code License:** Released under the [MIT](https://github.com/statichunt/iWriter-hugo/blob/master/LICENSE) license.

**Image license:** The images are only for demonstration purposes. They have their licenses. We don't have permission to
share those images.

<!-- resources -->
## Special Thanks

- [Bootstrap](https://getbootstrap.com)
- [Font Awesome Icons](https://fontawesome.com)
- [Fuse Js](https://fusejs.io)
- [Google Fonts](https://fonts.google.com/)
- [All Contributors](https://github.com/statichunt/iWriter-hugo/graphs/contributors)
